Imagick::readImageBlob
Imagick::recolorImage
The Imagick class
PHP Manual

# Imagick::readImageFile

(PECL imagick 2.0.0)

Imagick::readImageFile — Reads image from open filehandle

### Description

bool Imagick::readImageFile ( resource `$filehandle` [, string `$fileName` ] )
Warning

This function is currently not documented; only its argument list is available.

Reads image from open filehandle

### Parameters

`filehandle`

`fileName`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::readImageBlob
Imagick::recolorImage
The Imagick class
PHP Manual